Review Paginated Submerchants V2

Returns a paginated list of submerchants within a Backoffice tenant. This endpoint retrieves the same merchant data as merchant/paginated, including merchant profile information, users, and more, but with an updated paginated response. The tenantId is a required path parameter. Use the pageSize and currentPage query parameters to organize and navigate your result set. The default pageSize is 1000. See the totalRequestedDataCount, currentPage, pageSize, and totalPages values at the end of each page of the response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The tenant identifier.

string
required
Query Params
boolean

This parameter is not currently supported.

int32

Use this parameter to navigate between pages of results.

int32

Use this parameter to specify the number of results per page.

AccountStatus
array of integers

A submerchant user's status. Statuses include: 0 = Active, 1 = HoldAllFunding, 2 = Canceled, 3 = WaitingforFirstTrans, 4 = WaitingforFirstAuth, and 99 = Deleted.

AccountStatus
Allowed:
DBAName
array of strings

A submerchant's doing business as name (DBA).

DBAName
LegalEntityName
array of strings

A submerchant's legal entity name.

LegalEntityName
Mid
array of strings

A submerchant's merchant identification number (MID) provided by their payments processor.

Mid
Id
array of int32s

The user's Backoffice identification number.

Id
Cobrand
array of strings

The New Accounts cobrand where the submerchant's merchant application was submitted.

Cobrand
Location
array of strings

A submerchant's location.

Location
MerchantCategoryCode
array of strings

A submerchant's merchant category code (MCC).

MerchantCategoryCode
CancelledDateFilter
array of integers

Filters by the submerchant's cancelled (termination) date. Applied manually against
FundingApp.Core.Objects.Submerchant.TerminationDate since it isn't a simple equality match.

CancelledDateFilter
CancelledFromDate
array of date-times
CancelledFromDate
CancelledToDate
array of date-times
CancelledToDate
CancelledSpecificDate
array of strings
CancelledSpecificDate
CloseReasonId
array of int32s

Filters by the submerchant's current close reason. There is no CloseReasonId column on Submerchants,
so this can't go through the reflected equality filter - it's resolved from
SubmerchantCancellationHistory and applied manually.

CloseReasonId
string
enum

A submerchant's funding configuration.

Allowed:
int32

A Backoffice user's identification number. Use this parameter to retrieve a list of submerchants the userID has access to.

Headers
string
required

The API key id used to authenticate and authorize your request to Infinicept. API keys are managed within your Backoffice tenant.

string
required

The API key value used to authenticate and authorize your request to Infinicept. API keys are managed within your Backoffice tenant.

Responses

404

Not Found

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json